Package net.sf.saxon.expr.parser

## Class OptimizerOptions

- java.lang.Object
- - net.sf.saxon.expr.parser.OptimizerOptions

-     public class OptimizerOptions
      extends java.lang.Object

  Defines switches that can be used to control which optimizations take place. The object is immutable.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BYTE_CODE` |
    `static int` | `COMMON_SUBEXPRESSIONS` |
    `static int` | `CONSTANT_FOLDING` |
    `static int` | `CREATE_KEYS` |
    `static int` | `EXTRACT_GLOBALS` |
    `static OptimizerOptions` | `FULL_EE_OPTIMIZATION` |
    `static OptimizerOptions` | `FULL_HE_OPTIMIZATION` |
    `static int` | `INDEX_VARIABLES` |
    `static int` | `INLINE_FUNCTIONS` |
    `static int` | `INLINE_VARIABLES` |
    `static int` | `JIT` |
    `static int` | `LOOP_LIFTING` |
    `static int` | `MISCELLANEOUS` |
    `static int` | `REGEX_CACHE` |
    `static int` | `RULE_SET` |
    `static int` | `SWITCH` |
    `static int` | `TAIL_CALLS` |
    `static int` | `VOID_EXPRESSIONS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OptimizerOptions​(int options)` |
    `OptimizerOptions​(java.lang.String flags)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OptimizerOptions` | `except​(OptimizerOptions other)` |
    `int` | `getOptions()` |
    `OptimizerOptions` | `intersect​(OptimizerOptions other)` |
    `boolean` | `isSet​(int option)` |
    `java.lang.String` | `toString()` |
    `OptimizerOptions` | `union​(OptimizerOptions other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOOP_LIFTING

          public static final int LOOP_LIFTING

      See Also:
        Constant Field Values

    - #### EXTRACT_GLOBALS

          public static final int EXTRACT_GLOBALS

      See Also:
        Constant Field Values

    - #### INLINE_VARIABLES

          public static final int INLINE_VARIABLES

      See Also:
        Constant Field Values

    - #### INLINE_FUNCTIONS

          public static final int INLINE_FUNCTIONS

      See Also:
        Constant Field Values

    - #### INDEX_VARIABLES

          public static final int INDEX_VARIABLES

      See Also:
        Constant Field Values

    - #### CREATE_KEYS

          public static final int CREATE_KEYS

      See Also:
        Constant Field Values

    - #### BYTE_CODE

          public static final int BYTE_CODE

      See Also:
        Constant Field Values

    - #### COMMON_SUBEXPRESSIONS

          public static final int COMMON_SUBEXPRESSIONS

      See Also:
        Constant Field Values

    - #### MISCELLANEOUS

          public static final int MISCELLANEOUS

      See Also:
        Constant Field Values

    - #### SWITCH

          public static final int SWITCH

      See Also:
        Constant Field Values

    - #### JIT

          public static final int JIT

      See Also:
        Constant Field Values

    - #### RULE_SET

          public static final int RULE_SET

      See Also:
        Constant Field Values

    - #### REGEX_CACHE

          public static final int REGEX_CACHE

      See Also:
        Constant Field Values

    - #### VOID_EXPRESSIONS

          public static final int VOID_EXPRESSIONS

      See Also:
        Constant Field Values

    - #### TAIL_CALLS

          public static final int TAIL_CALLS

      See Also:
        Constant Field Values

    - #### CONSTANT_FOLDING

          public static final int CONSTANT_FOLDING

      See Also:
        Constant Field Values

    - #### FULL_HE_OPTIMIZATION

          public static final OptimizerOptions FULL_HE_OPTIMIZATION

    - #### FULL_EE_OPTIMIZATION

          public static final OptimizerOptions FULL_EE_OPTIMIZATION

  - ### Constructor Detail

    - #### OptimizerOptions

          public OptimizerOptions​(int options)

    - #### OptimizerOptions

          public OptimizerOptions​(java.lang.String flags)

  - ### Method Detail

    - #### intersect

          public OptimizerOptions intersect​(OptimizerOptions other)

    - #### union

          public OptimizerOptions union​(OptimizerOptions other)

    - #### except

          public OptimizerOptions except​(OptimizerOptions other)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isSet

          public boolean isSet​(int option)

    - #### getOptions

          public int getOptions()